#!/usr/bin/make -f

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
VERSION=$(shell python -c "from atheist import VERSION; print VERSION")

BUILDDOC=$(CURDIR)/doc/_build
HTML=$(BUILDDOC)/html

%:
	dh $@ --with=python2 --with=sphinxdoc

override_dh_auto_build:
	dh_auto_build -Spython_distutils
	xsltproc -o debian/atheist.1 --param man.charmap.use.subset "0" --novalid --nonet $(DB2MAN) debian/atheist.xml
	$(MAKE) -C doc html

override_dh_auto_install:
	dh_auto_install -Spython_distutils
	mkdir -p $(CURDIR)/debian/atheist/usr/bin $(CURDIR)/debian/atheist/usr/lib/atheist/
	install -m 755 $(CURDIR)/debian/atheist.run $(CURDIR)/debian/atheist/usr/bin/atheist
	install -m 644 $(CURDIR)/athcmd.py $(CURDIR)/debian/atheist/usr/lib/atheist/

override_dh_installdocs:
	dh_installdocs
	mv debian/atheist/usr/share/doc/atheist/samples debian/atheist/usr/share/doc/atheist/examples

override_dh_auto_clean:
	dh_auto_clean
	$(RM) debian/atheist.1
	$(RM) -r build
	$(MAKE) -C doc clean

build-orig:
	mkdir -p atheist-$(VERSION)
	tar --exclude=debian --exclude=\*~ --exclude=\.svn --exclude=\*.pyc \
		--exclude=atheist-$(VERSION) --exclude=accounts.txt --exclude=\.pc -cf - . \
		| ( cd atheist-$(VERSION) && tar xf - )
	tar -czf ../atheist_$(VERSION).orig.tar.gz atheist-$(VERSION)
	$(RM) -r atheist-$(VERSION)
